/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: if_acxreg.c,v 1.10 2003/12/30 02:58:30 darron Exp $
 */

/*
 * bus space functions
 *
 * notes:
 *  we need to add some region functions.
 *  the inlining declaration doesn't work as expected.
 */

/* system */
#include "if_acxsys.h"

/* declarations */
#include "if_acx.h"

/* functions */
#include "if_acxreg_proto.h"

/*
 * read byte
 */
inline u_int8_t
READB( struct acx_resource *mem, u_int16_t reg)
{
    return (u_int8_t) bus_space_read_1( mem->bustag, mem->bushandle, reg );
}

/*
 * write byte
 */
inline void
WRITEB( struct acx_resource *mem, u_int16_t reg, u_int8_t value)
{
    bus_space_write_1( mem->bustag, mem->bushandle, reg, value );
}

/*
 * read word
 */
inline u_int16_t
READW( struct acx_resource *mem, u_int16_t reg)
{
    return (u_int16_t) bus_space_read_2( mem->bustag, mem->bushandle, reg );
}

/*
 * write word
 */
inline void
WRITEW( struct acx_resource *mem, u_int16_t reg, u_int16_t value)
{
    bus_space_write_2( mem->bustag, mem->bushandle, reg, value );
}

/*
 * read long
 */
inline u_int32_t
READL( struct acx_resource *mem, u_int32_t reg)
{
    return (u_int32_t) bus_space_read_4( mem->bustag, mem->bushandle, reg );
}

/*
 * write long
 */
inline void
WRITEL( struct acx_resource *mem, u_int16_t reg, u_int32_t value)
{
    bus_space_write_4( mem->bustag, mem->bushandle, reg, value );
}
