/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: if_acxsysctl.c,v 1.3 2004/02/26 10:32:56 darron Exp $
 */

/* sysctl interface */

/* system */
#include "if_acxsys.h"

/* declarations */
#include "if_acx.h"
#include "if_acxsysctl.h"

/* functions */
#include "if_acxsysctl_proto.h"

/* global sysctl vars */

/* scan period based in ticks of HZ */
extern int acx_ifnet_scan_period;

/* rate adaptation */
extern int acx_packet_starts_fast;  /* the initial tx rate is the fastest(1), else the slowest(0) */
extern int acx_packet_threshold;    /* number of no error packets sample size */
extern int acx_packet_min_time;     /* min sample time */
extern int acx_packet_max_time;     /* max sample time */

SYSCTL_NODE(_hw, OID_AUTO, acx, CTLFLAG_RD, 0, "ACX driver parameters");

SYSCTL_INT(_hw_acx, OID_AUTO, scan_period, CTLFLAG_RW, &acx_ifnet_scan_period, 0, "ACX driver scan period");
SYSCTL_INT(_hw_acx, OID_AUTO, starts_fast, CTLFLAG_RW, &acx_packet_starts_fast, 0, "ACX driver TX rate starts fast");
SYSCTL_INT(_hw_acx, OID_AUTO, threshold, CTLFLAG_RW, &acx_packet_threshold, 0, "ACX driver TX rate threshold");
SYSCTL_INT(_hw_acx, OID_AUTO, min_time, CTLFLAG_RW, &acx_packet_min_time, 0, "ACX driver TX rate min test time");
SYSCTL_INT(_hw_acx, OID_AUTO, max_time, CTLFLAG_RW, &acx_packet_max_time, 0, "ACX driver TX rate max test time");
