/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: if_acxwep.c,v 1.16 2003/12/26 22:38:46 darron Exp $
 */

/* functions to do with wep */

/* system */
#include "if_acxsys.h"

/* declarations */
#include "if_acx.h"
#include "if_acxreg.h"
#include "if_acxcmd.h"

/* functions */
#include "if_acxwep_proto.h"
#include "if_acxreg_proto.h"
#include "if_acxcmd_proto.h"

/*
 * initialise wep
 */
void
acx_wep_init(struct acx_softc *sc)
{
    struct acx_cmd_memory_map_param *memory_map;
    int i;

    /*
     * modify memory for wep
     */
    MALLOC(memory_map, struct acx_cmd_memory_map_param *,
        sizeof(struct acx_cmd_memory_map_param), M_TEMP, M_WAITOK | M_ZERO);

    acx_cmd_get_memory_map(sc, memory_map);
    memory_map->WEPCacheStart= 4 + memory_map->CodeEnd;
    memory_map->WEPCacheEnd  = 4 + memory_map->CodeEnd;
    acx_cmd_set_memory_map(sc, memory_map);

    FREE(memory_map, M_TEMP);

    /*
     * set wep options
     *
     * notes:
     *  the first call to this function alters the memory map
     */
    acx_cmd_set_wep_options(sc, ACX_WEP_HARDWARE);

    /*
     * clear wep key cache
     */
    for(i=0; i<IEEE80211_WEP_NKID; i++)
    {
        sc->wepkey[i].len=0;
        bzero( &sc->wepkey[i].key, ACX_WEP_KEYSIZE);
        acx_cmd_set_wep_key(sc, i);
    }

    /*
     * set default key 
     */
    acx_cmd_set_wep_tx_key(sc, sc->wepindex=0);
}
