/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: if_acxpacket_proto.h,v 1.20 2004/01/28 00:33:33 darron Exp $
 */

#ifndef _IF_ACXPACKET_PROTO_H
#define _IF_ACXPACKET_PROTO_H

int acx_packet_attach(struct acx_softc *sc);
void acx_packet_detach(struct acx_softc *sc);
void acx_packet_map_addr(void *arg, bus_dma_segment_t *segs, int nseg, int error);

int acx_packet_init(struct acx_softc *sc);

int acx_packet_init_rxdesc(struct acx_softc *sc);
int acx_packet_init_txdesc(struct acx_softc *sc);

void acx_packet_init_firmware_rxdesc(struct acx_softc *sc);
void acx_packet_init_firmware_txdesc(struct acx_softc *sc);

void acx_packet_task_rx(struct acx_softc *sc, int count);

void acx_packet_tx(struct ifnet *ifp);
void acx_packet_task_tx(struct acx_softc *sc, int count);
u_int16_t acx_packet_txnext(struct acx_softc *sc);

int  acx_packet_new_mbuf(struct acx_softc *sc, u_int8_t **paddr, struct acx_packet_bufmap *buf);
void acx_packet_map_mbuf(void *arg, bus_dma_segment_t *segs, int nseg, bus_size_t mapsize, int error);
int  acx_packet_new_buf(struct acx_softc *sc, u_int8_t **paddr, struct acx_packet_bufmap *buf);
void acx_packet_delete_bufmap(struct acx_softc *sc, struct acx_packet_bufmap *buf);
void acx_packet_delete_bufmaps(struct acx_softc *sc, struct acx_packet_bufmap *buf);
void acx_packet_watchdog(struct ifnet *ifp);

inline void acx_packet_rxstats(struct acx_softc *sc, struct acx_packet_tiheader *tiheader);

void acx_packet_txrate(struct acx_softc *sc, int packetcount, int errorcount);
void acx_packet_txrate_reset(struct acx_softc *sc);

#endif /* !_IF_ACXPACKET_PROTO_H */
