/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: if_acxreg.h,v 1.5 2003/12/05 05:39:43 darron Exp $
 */

#ifndef _IF_ACXREG_H
#define _IF_ACXREG_H

/*
 * 16 bit register definitions as defined in the Linux ACX100 driver
 *
 * (to be documented once usage is known)
 */
#define ACX100_REG0                 0x00    /*    0 */

#define ACX100_DATA_LO              0x18    /*   24 */
#define ACX100_DATA_HI              0x1a    /*   26 */

#define ACX100_FW_0                 0x14    /*   20 */
#define ACX100_FW_1                 0x16    /*   22 */
#define ACX100_FW_2                 0x1c    /*   28 */
#define ACX100_FW_3                 0x1e    /*   30 */
#define ACX100_FW_4                 0x20    /*   32 */
#define ACX100_FW_5                 0x22    /*   34 */
    
#define ACX100_IRQ_34               0x34    /*   52 */
#define ACX100_IRQ_MASK             0x98    /*  152 */
#define ACX100_IRQ_STATUS           0xa8    /*  168 */
#define ACX100_IRQ_ACK              0xac    /*  172 */
#define ACX100_IRQ_SOMETHING        0xb0    /*  176 */

#define ACX100_REG_7C               0x7c    /*  124 */
#define ACX100_STATUS               0xa4    /*  164 */

#define ACX100_REG_104              0x104   /*  260 */
#define ACX100_REG_124              0x124   /*  292 */

#define ACX100_EEPROM_0             0x250   /*  592 */
#define ACX100_EEPROM_1             0x252   /*  594 */
#define ACX100_EEPROM_ADDR          0x254   /*  596 */
#define ACX100_EEPROM_2             0x256   /*  598 */
#define ACX100_EEPROM_DATA          0x258   /*  600 */
#define ACX100_EEPROM_3             0x25c   /*  602 */
#define ACX100_EEPROM_4             0x25e   /*  604 */

#define ACX100_CMD_MAILBOX_OFFS     0x2a4   /*  676 */
#define ACX100_INFO_MAILBOX_OFFS    0x2a8   /*  678 */

#define ACX100_RESET_0              0x2d0   /*  720 */
#define ACX100_RESET_1              0x2d4   /*  724 */
#define ACX100_RESET_2              0x2d8   /*  728 */

#define ACX100_EEPROM_ID_OFFSET     0x380

#endif /* !_IF_ACXREG_H */
