/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: if_acxwep.h,v 1.3 2003/12/05 05:39:43 darron Exp $
 */

#ifndef _IF_ACXWEP_H
#define _IF_ACXWEP_H

/*
 * wep key entry
 *
 * XXX net80211 does not support 256 bit WEP
 *
 * although the acx100 supports 256 bit WEP there are 24 bits of a
 * hardware key prepended, so it is really a 232 bit key of length
 * 29 bytes (58 hex digits).
 *
 * nb. this is 13 byte 128 bit WEP, which is 104 bit (26 digits).
 */
#define ACX_WEP_KEYSIZE 29

#define ACX_WEP_HARDWARE 0
#define ACX_WEP_SOFTWARE 2

struct acx_wep_key
{
    u_int8_t len;
    u_int8_t key[ACX_WEP_KEYSIZE];
};

#endif /* !_IF_ACXWEP_H */
