/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: acx.h,v 1.11 2004/02/26 09:31:28 darron Exp $
 */

#ifndef _ACX_H
#define _ACX_H

class acx : public net80211
{
    private:
        void sgioc(u_int16_t i_type, void *i_data);

    public:
        acx(string interface);

        ~acx(void);

        void set_rx_config(u_int32_t);
        void set_max_xmit_msdu_lifetime(u_int32_t);
        void set_ed_threshold(u_int8_t);
        void set_short_retry_limit(u_int8_t);
        void set_long_retry_limit(u_int8_t);
        void set_cca_mode(u_int8_t);
        void set_power_level(u_int8_t);
        void set_current_antenna(u_int8_t);

        u_int32_t get_rx_config();
        u_int8_t get_ed_threshold();
        u_int32_t get_max_xmit_msdu_lifetime();
        u_int8_t get_short_retry_limit();
        u_int8_t get_long_retry_limit();
        u_int8_t get_current_cca_mode();
        u_int8_t get_current_antenna();
        
        double percentof(double, double);
        void show_info(void);
};

#endif /* !_ACX_H */
