/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: net.cxx,v 1.4 2003/12/05 06:11:21 darron Exp $
 */

#include "acxtool.h"

net::net(string interface)
{
    strncpy(ifname,interface.c_str(),IFNAMSIZ);
    ifname[IFNAMSIZ]= '\0';

    if((sock= socket(AF_INET, SOCK_DGRAM, 0)) < 0)
        throw strerror(errno);
}

net::~net()
{
}

char *net::ether_sprintf(u_int8_t ether[IEEE80211_ADDR_LEN])
{
    static char addr[IEEE80211_ADDR_LEN];

    sprintf( addr, "%02x:%02x:%02x:%02x:%02x:%02x", ether[0],ether[1],ether[2],ether[3],ether[4],ether[5]);

    return addr;
}

string net::getmediastatus()
{
    struct ifmediareq ifmediareq;

    bzero(&ifmediareq,sizeof(ifmediareq));
    strncpy(ifmediareq.ifm_name,ifname,IFNAMSIZ);

    if(ioctl(sock, SIOCGIFMEDIA, &ifmediareq) < 0)
        throw strerror(errno);

    if(! (ifmediareq.ifm_status & IFM_AVALID) )
        throw "net::getmediastatus: active bit invalid";

    if(! (ifmediareq.ifm_status & IFM_ACTIVE) )
        return "INACTIVE";

    return "ACTIVE";
}
