/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: net80211.cxx,v 1.3 2003/12/05 06:11:21 darron Exp $
 */

#include "acxtool.h"

net80211::net80211(string interface) : net(interface)
{
}

net80211::~net80211()
{
}

/*
    return SSID
*/
string net80211::getssid()
{
    struct ieee80211req ieee80211req;
    static char ssid[IEEE80211_NWID_LEN + 1];
    
    bzero(&ieee80211req, sizeof(ieee80211req));
    strncpy(ieee80211req.i_name,ifname,IFNAMSIZ);

    ieee80211req.i_data = &ssid;                /* buffer for SSID */
    ieee80211req.i_type = IEEE80211_IOC_SSID;   /* request SSID */
    ieee80211req.i_val = -1;                    /* require active SSID */

    if( ioctl(sock, SIOCG80211, &ieee80211req) < 0 )
        throw strerror(errno);
    
    ssid[ieee80211req.i_len]='\0';

    return ssid;
}
